### Function

# Gtk print_run_page_setup_dialog

#### Declaration [src]

    GtkPageSetup*
    gtk_print_run_page_setup_dialog (
      GtkWindow* parent,
      GtkPageSetup* page_setup,
      GtkPrintSettings* settings
    )

#### Description [src]

Runs a page setup dialog, letting the user modify the values from `page_setup`. If the user cancels the dialog, the returned `GtkPageSetup` is identical to the passed in `page_setup`, otherwise it contains the modifications done in the dialog.

Note that this function may use a recursive mainloop to show the page setup dialog. See gtk_print_run_page_setup_dialog_async() if this is a problem.

#### Parameters

`parent` | `GtkWindow`
| Transient parent.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`page_setup` | `GtkPageSetup`
| An existing `GtkPageSetup`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`settings` | `GtkPrintSettings`
| A `GtkPrintSettings`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkPageSetup`
| A new `GtkPageSetup`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.